; AVALOT.INI
; Initialisation file for Avalot
; by Thomas Thurman, 1995.
;
; Anything beginning with a semi-colon is a comment!
; Read AVALOT.DOC for more details.

; A small warning: Setup will only change values already in this file--
; it will never add new lines. You should therefore keep a backup of the
; original.

; Numbers can be given in decimal, or in hex if you prepend a $ (for
; example, $B1).

;                                       General
;                                       \=---=/

OverrideEGAcheck=No      ; Force loading despite failure to detect an EGA?
ZoomyStart=No            ; Jump straight in?
Loadfirst=               ; Fill this in to load a particular .ASG by default.
NumLockHold=No           ; If Yes, Numlock will always be forced off.
Controller=Keyboard      ; Keyboard or Joystick

;                                       Joystick
;                                       \=----=/

; These values are usually altered automatically by Setup.

JoystickInstalled=Yes    ; Yes for joystick, No for no joy
JoyTop=0
JoyBottom=0
JoyLeft=0
JoyRight=0
JoyMidX=0
JoyMidY=0
JoyCentringFactor=3      ; Between 3 and 9. Defines cut-off point for
                         ; the centre.
WhichJoy=1               ; which joystick to use? 1 or 2?

;                                       Sound
;                                       \=-=/

Quiet=No                 ; Yes for NO sound effects
SoundCard=None           ; one of None, SB, SPPro, SB16, PAS, PASPlus, PAS16,
                         ; Aria, WinSound, Gravis, DacLPT, StereoDACs,
                         ; StereoOn1, Speaker.
BaseAddress=$220         ; See below and the documentation for
IRQ=5                    ;    working values of
DMA=1                    ;    these.
SampleRate=22050

; ** Note : If you have an SB, you may be able just to change
;           "SoundCard=None" above to "SB". Otherwise, see the next paragraph.

; WARNING: Incorrect values can damage your computer!
;
; As a guide, try:
;   SC=SB      BA=$220 IRQ=5 DMA=1 SR=22050
;   SC=SPEAKER BA=$2A  IRQ=0 DMA=0 SR=11025 (DMA & IRQ are ignored here)
;      Warning: We do *not* officially support PC speaker-- use it at your
;       own risk. It sometimes crashes.
;   SC=PAS16   BA=$388 IRQ=7 DMA=6 SR=22050 (44100 for the adventurous with
;                                               very fast computers.)

KeyboardClick=No         ; it can go "click" whenever
                         ; you press a key.

;                                       Logfile
;                                       \=---=/

Logging=No               ; can be No, Printer or Disk
Logfile=                 ; leave undefined for AVALOT.LOG,
                         ; or give a filename

; Here follows the...                   Printer Setup
;                                       \=---------=/

; Explanation of the fields:
;  StartWith            - what is sent to the printer at the start of a game
;  EndWith              - ...at the end of a game
;  ItalicOn, ItalicOff  - self-explanatory
;  EmphOn, EmphOff      - switches bold type on or off
;  DivideOn, DivideOff  - This is printed before/after the divider is
;                          sent. (The divider is the --- oOo --- thing.)
;  DivideIndent         - Number (IN DECIMAL!) of spaces to print before
;                          the divider in order to centre it.
;  Quote, Unquote       - These are the ASCII codes to send to produce
;                          the opening quote (66) and the closing quote (99)
;                          respectively.
;
; The strings to be sent to the printer are specified in hex. Trademarks are
; hereby acknowledged. The [printer...] and [end] signs are to encase the
; blocks of printer definitions for Setup's benefit. You may add definitions
; for other printers simply by adding them onto the end of this file.
; The "printer=" line defines which one the game reads.

printer=Epson

; (by the way, the "printer" line must come *before* the relevant definition)

[printer LaserJet (or any other printer supporting PCL)]

;
;       --- LaserJet ---
;

StartWith=1B451B2831324A ; Resets the printer, and switches to "MC Text" font.
EndWith=1B45FF           ; Resets the printer, and does a form feed.
ItalicOn=1B28733053      ; Switches italics on...
ItalicOff=1B28733153     ; ...and off.
EmphOn=1B28733342        ; Switches emphasised mode (bold) on...
EmphOff=1B28733042       ; ...and off.
DivideOn=1B28733342      ; Same as EmphOn here.
DivideOff=1B28733042     ; Same as EmphOff.
DivideIndent = 30        ; Something to do with centring the divider...
Quote = D2               ; Ascii code to produce the "66" opening quote.
Unquote = D3             ; Ascii code to produce the "99" closing quote.
Copyright = A9           ; Ascii code to produce the (c) sign.

[end] ; Laserjet

[printer Epson]
;Epson

;
;       --- Epson ---
;

StartWith=1B40           ; Reset the printer.
endwith=                 ; No ending code.
ItalicOn = 1B34          ; switches italics on...
italic_off = 1B35        ; ...and off.
emph_on = 1B45           ; Bold on...
emph_off = 1B46          ; ...and off.
DivideOn = E             ; shift out (SO)
DivideOff = 14           ; device control 4 (DC4)
DivideIndent = 15        ; we're in double width here!
Quote = 22               ; normal " sign.
Unquote = 22             ; the same.
Copyright = 286329       ; just (c).

[end] ; Epson

; end of file.
